KDE • Support • Security Advisories
DONATE (Why?)
paypal

XPDF Integer Overflow 2

$Date: 2005-10-12 17:17:55 +0000 (Wed, 12 Oct 2005) $

KOffice 1.3 (including betas) to 1.3.5 have an integer overflow vulnerability in KWord's PDF import filter.

References

How to fix source code?

A patch for the source package is available. (MD5 sum: 6b44591b63957a58fb26c6eae1b59b19 xpdf_security_integer_overflow_2.diff )

The patch applies to the directory koffice/filters/kword/pdf/xpdf/xpdf .

To patch, do: (please adjust paths)
cd koffice/filters/kword/pdf/xpdf/xpdf
patch -p0 < xpdf_security_integer_overflow_2.diff

See Also

Global navigation links